TkBLT Windows binaries

Latest build

TkBLT v3.2.17

How to build

$ ./configure --prefix=/c/bin/tcl8.6.9-x64 --with-tcl=/c/src/tcl8.6.9-x64/win --with-tk=/c/src/tk8.6.9-x64/win --enable-threads --enable-64bit CPPFLAGS=-static
$ make install

I needed to delete the following files in MSYS2 in order to remove the dependency on MinGW DLLs. CPPFLAGS="-static" was not enough.

  • C:\msys64\mingw32\i686-w64-mingw32\lib\libpthread.dll.a
  • C:\msys64\mingw32\lib\gcc\i686-w64-mingw32\7.3.0\libstdc++.dll.a

Tcl patchlevel insensitive patch

TkBLT is a stab-enabled package but it works with the exact patchlevel at which it was built. I used Tcl/Tk 8.6.8. So it can't be used in 8.6.7 or 8.6.9. I found a workaround. Note that it might be against author's intention.

Archives

TkBLT v3.2.14

TkBLT v3.2.13

TkBLT v3.2.10

TkBLT v3.2.9

コメントを残す

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください